Skip to main content

private/advanced/cancel-oco

POST 

/private/advanced/cancel-oco

Cancel an OCO order on the Exchange. This call is asynchronous, so the response is simply a confirmation of the request. The user.advanced.order subscription can be used to check when each of the orders is successfully cancelled.

Request​

Body

required
    id int64required

    Request id (echoed in response)

    method stringrequired

    Must be "private/advanced/cancel-oco"

    api_key stringrequired

    Your API key (only required for private REST)

    sig stringrequired

    HMAC-SHA256 signature in hex (only required for private REST)

    nonce int64required

    Current timestamp in milliseconds, e.g. "1771761038000".

    params objectrequired
    list_id int64required

    List ID of the OCO order to cancel

Success.
Schema
    id int64

    Echoed request id

    method string

    Method invoked

    code int32

    0 = success; non-zero indicates error (reason code).

    message string

    Response message. Contains additional reason when code !== 0.

    original string

    Present when code !== 0.